Bug 427216 - (CVE-2007-5342) CVE-2007-5342 Apache Tomcat's default security policy is too open
CVE-2007-5342 Apache Tomcat's default security policy is too open
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://www.securityfocus.com/archive/...
source=securityfocus,reported=2007101...
: Security
Depends On: 427776 427777 428668 435919
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-02 05:28 EST by Marc Schoenefeld
Modified: 2010-12-22 17:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-22 17:36:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2008-01-02 05:28:10 EST
Generally it is a bad idea to grant java.security.AllPermission 
in java security policy files. This is the case for 
the tomcat-juli.jar, part of the logging framework
for Apache Tomcat.

CVE description from Mitre: 

The default catalina.policy in the JULI logging component in Apache
Tomcat 5.5.9 through 5.5.25 and 6.0.0 through 6.0.15 does not restrict
certain permissions for web applications, which allows attackers to
modify logging configuration options and overwrite arbitrary files, as
demonstrated by changing the (1) level, (2) directory, and (3) prefix
attributes in the org.apache.juli.FileHandler handler.


http://www.securityfocus.com/archive/1/archive/1/485481/100/0/threaded
http://svn.apache.org/viewvc?view=rev&revision=606594
Comment 3 Fedora Update System 2008-02-08 19:31:46 EST
tomcat5-5.5.26-1jpp.1.fc7 has been submitted as an update for Fedora 7
Comment 4 Fedora Update System 2008-02-08 19:34:58 EST
tomcat5-5.5.26-1jpp.1.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-02-12 15:31:55 EST
tomcat5-5.5.26-1jpp.2.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-02-12 15:34:09 EST
tomcat5-5.5.26-1jpp.2.fc7 has been submitted as an update for Fedora 7
Comment 7 Fedora Update System 2008-02-12 23:54:31 EST
tomcat5-5.5.26-1jpp.2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-02-13 00:13:59 EST
tomcat5-5.5.26-1jpp.2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Vincent Danen 2010-12-22 17:36:50 EST
This was addressed via:

Red Hat Enterprise Linux version 5 (RHSA-2008:0042)
Red Hat Developer Suite v.3 (AS v.4) (RHSA-2008:0195)
JBoss Enterprise Application Platform 4.3.0 for RHEL 4 AS (RHSA-2008:0831)
JBoss Enterprise Application Platform 4.3.0 for RHEL 5 Server (RHSA-2008:0832)
JBoss Enterprise Application Platform for RHEL 4 AS (RHSA-2008:0833)
JBoss Enterprise Application Platform for RHEL 5 Server (RHSA-2008:0834)
Red Hat Application Server v2 4AS (RHSA-2008:0862)

Note You need to log in before you can comment on or make changes to this bug.